Permalink
Browse files

Mobile version raise an error in search view (#160)

fix #159
  • Loading branch information...
darkman97i authored and monkiki committed Jan 8, 2019
1 parent 2e93ef0 commit de42025ec9cf5a599e39c6e80853a2dccacafe85

This file was deleted.

Oops, something went wrong.

Large diffs are not rendered by default.

Oops, something went wrong.

Large diffs are not rendered by default.

Oops, something went wrong.

Large diffs are not rendered by default.

Oops, something went wrong.

This file was deleted.

Oops, something went wrong.

Large diffs are not rendered by default.

Oops, something went wrong.

Large diffs are not rendered by default.

Oops, something went wrong.
@@ -9,9 +9,10 @@
<meta name="viewport" content="width=device-width, minimum-scale=1.0, maximum-scale=1.0"/>
<title>OpenKM Mobile</title>
<link rel="apple-touch-icon" href="img/condor.jpg" />
<link rel="stylesheet" href="../css/jquery.mobile-1.2.0.min.css" />
<script src="../js/jquery-1.11.3.min.js"></script>
<script src="../js/jquery.mobile-1.2.0.min.js"></script>
<link rel="stylesheet" href="../css/jquery.mobile-1.2.1.min.css" />
<!-- jQuery mobile requires jquery min 1.8.3 for running, it does not work with upper version -->
<script src="../js/jquery-1.8.3.min.js"></script>
<script src="../js/jquery.mobile-1.2.1.min.js"></script>
</head>
<body>
<u:constantsMap className="com.openkm.dao.bean.Translation" var="Translation"/>
@@ -9,9 +9,10 @@
<meta name="viewport" content="width=device-width, minimum-scale=1.0, maximum-scale=1.0"/>
<title>OpenKM Mobile</title>
<link rel="apple-touch-icon" href="img/condor.jpg" />
<link rel="stylesheet" href="../css/jquery.mobile-1.2.0.min.css" />
<script src="../js/jquery-1.11.3.min.js"></script>
<script src="../js/jquery.mobile-1.2.0.min.js"></script>
<link rel="stylesheet" href="../css/jquery.mobile-1.2.1.min.css" />
<!-- jQuery mobile requires jquery min 1.8.3 for running, it does not work with upper version -->
<script src="../js/jquery-1.8.3.min.js"></script>
<script src="../js/jquery.mobile-1.2.1.min.js"></script>
<script type="text/javascript">
$(function() {
$('li').bind('taphold', function(e) {
@@ -9,9 +9,10 @@
<meta name="viewport" content="width=device-width, minimum-scale=1.0, maximum-scale=1.0"/>
<title>OpenKM Mobile</title>
<link rel="apple-touch-icon" href="img/condor.jpg" />
<link rel="stylesheet" href="../css/jquery.mobile-1.2.0.min.css" />
<script src="../js/jquery-1.11.3.min.js"></script>
<script src="../js/jquery.mobile-1.2.0.min.js"></script>
<link rel="stylesheet" href="../css/jquery.mobile-1.2.1.min.css" />
<!-- jQuery mobile requires jquery min 1.8.3 for running, it does not work with upper version -->
<script src="../js/jquery-1.8.3.min.js"></script>
<script src="../js/jquery.mobile-1.2.1.min.js"></script>
</head>
<body>
<u:constantsMap className="com.openkm.dao.bean.Translation" var="Translation"/>
@@ -9,9 +9,10 @@
<meta name="viewport" content="width=device-width, minimum-scale=1.0, maximum-scale=1.0"/>
<title>OpenKM Mobile</title>
<link rel="apple-touch-icon" href="img/condor.jpg" />
<link rel="stylesheet" href="../css/jquery.mobile-1.2.0.min.css" />
<script src="../js/jquery-1.11.3.min.js"></script>
<script src="../js/jquery.mobile-1.2.0.min.js"></script>
<link rel="stylesheet" href="../css/jquery.mobile-1.2.1.min.css" />
<!-- jQuery mobile requires jquery min 1.8.3 for running, it does not work with upper version -->
<script src="../js/jquery-1.8.3.min.js"></script>
<script src="../js/jquery.mobile-1.2.1.min.js"></script>
</head>
<body>
<c:url value="Dashboard" var="urlLastModified">
@@ -9,9 +9,10 @@
<meta name="viewport" content="width=device-width, minimum-scale=1.0, maximum-scale=1.0"/>
<title>OpenKM Mobile</title>
<link rel="apple-touch-icon" href="img/condor.jpg" />
<link rel="stylesheet" href="../css/jquery.mobile-1.2.0.min.css" />
<script src="../js/jquery-1.11.3.min.js"></script>
<script src="../js/jquery.mobile-1.2.0.min.js"></script>
<link rel="stylesheet" href="../css/jquery.mobile-1.2.1.min.css" />
<!-- jQuery mobile requires jquery min 1.8.3 for running, it does not work with upper version -->
<script src="../js/jquery-1.8.3.min.js"></script>
<script src="../js/jquery.mobile-1.2.1.min.js"></script>
<script type="text/javascript">
$(function() {
$('li').bind('taphold', function(e) {
@@ -9,9 +9,10 @@
<meta name="viewport" content="width=device-width, minimum-scale=1.0, maximum-scale=1.0"/>
<title>OpenKM Mobile</title>
<link rel="apple-touch-icon" href="img/condor.jpg" />
<link rel="stylesheet" href="../css/jquery.mobile-1.2.0.min.css" />
<script src="../js/jquery-1.11.3.min.js"></script>
<script src="../js/jquery.mobile-1.2.0.min.js"></script>
<link rel="stylesheet" href="../css/jquery.mobile-1.2.1.min.css" />
<!-- jQuery mobile requires jquery min 1.8.3 for running, it does not work with upper version -->
<script src="../js/jquery-1.8.3.min.js"></script>
<script src="../js/jquery.mobile-1.2.1.min.js"></script>
</head>
<body>
<u:constantsMap className="com.openkm.dao.bean.Translation" var="Translation"/>
@@ -9,9 +9,10 @@
<meta name="viewport" content="width=device-width, minimum-scale=1.0, maximum-scale=1.0"/>
<title>OpenKM Mobile</title>
<link rel="apple-touch-icon" href="img/condor.jpg" />
<link rel="stylesheet" href="../css/jquery.mobile-1.2.0.min.css" />
<script src="../js/jquery-1.11.3.min.js"></script>
<script src="../js/jquery.mobile-1.2.0.min.js"></script>
<link rel="stylesheet" href="../css/jquery.mobile-1.2.1.min.css" />
<!-- jQuery mobile requires jquery min 1.8.3 for running, it does not work with upper version -->
<script src="../js/jquery-1.8.3.min.js"></script>
<script src="../js/jquery.mobile-1.2.1.min.js"></script>
</head>
<body>
<u:constantsMap className="com.openkm.dao.bean.Translation" var="Translation"/>
@@ -9,9 +9,10 @@
<meta name="viewport" content="width=device-width, minimum-scale=1.0, maximum-scale=1.0"/>
<title>OpenKM Mobile</title>
<link rel="apple-touch-icon" href="img/condor.jpg" />
<link rel="stylesheet" href="../css/jquery.mobile-1.2.0.min.css" />
<script src="../js/jquery-1.11.3.min.js"></script>
<script src="../js/jquery.mobile-1.2.0.min.js"></script>
<link rel="stylesheet" href="../css/jquery.mobile-1.2.1.min.css" />
<!-- jQuery mobile requires jquery min 1.8.3 for running, it does not work with upper version -->
<script src="../js/jquery-1.8.3.min.js"></script>
<script src="../js/jquery.mobile-1.2.1.min.js"></script>
</head>
<body>
<c:url value="/frontend/Download" var="urlDownload">
@@ -10,9 +10,10 @@
<meta name="viewport" content="width=device-width, minimum-scale=1.0, maximum-scale=1.0"/>
<title>OpenKM Mobile</title>
<link rel="apple-touch-icon" href="img/condor.jpg" />
<link rel="stylesheet" href="../css/jquery.mobile-1.2.0.min.css" />
<script src="../js/jquery-1.11.3.min.js"></script>
<script src="../js/jquery.mobile-1.2.0.min.js"></script>
<link rel="stylesheet" href="../css/jquery.mobile-1.2.1.min.css" />
<!-- jQuery mobile requires jquery min 1.8.3 for running, it does not work with upper version -->
<script src="../js/jquery-1.8.3.min.js"></script>
<script src="../js/jquery.mobile-1.2.1.min.js"></script>
</head>
<body>
<u:constantsMap className="com.openkm.core.Config" var="Config"/>
@@ -9,9 +9,10 @@
<meta name="viewport" content="width=device-width, minimum-scale=1.0, maximum-scale=1.0"/>
<title>OpenKM Mobile</title>
<link rel="apple-touch-icon" href="img/condor.jpg" />
<link rel="stylesheet" href="../css/jquery.mobile-1.2.0.min.css" />
<script src="../js/jquery-1.11.3.min.js"></script>
<script src="../js/jquery.mobile-1.2.0.min.js"></script>
<link rel="stylesheet" href="../css/jquery.mobile-1.2.1.min.css" />
<!-- jQuery mobile requires jquery min 1.8.3 for running, it does not work with upper version -->
<script src="../js/jquery-1.8.3.min.js"></script>
<script src="../js/jquery.mobile-1.2.1.min.js"></script>
</head>
<body>
<u:constantsMap className="com.openkm.dao.bean.Translation" var="Translation"/>
@@ -9,9 +9,10 @@
<meta name="viewport" content="width=device-width, minimum-scale=1.0, maximum-scale=1.0"/>
<title>OpenKM Mobile</title>
<link rel="apple-touch-icon" href="img/condor.jpg" />
<link rel="stylesheet" href="../css/jquery.mobile-1.2.0.min.css" />
<script src="../js/jquery-1.11.3.min.js"></script>
<script src="../js/jquery.mobile-1.2.0.min.js"></script>
<link rel="stylesheet" href="../css/jquery.mobile-1.2.1.min.css" />
<!-- jQuery mobile requires jquery min 1.8.3 for running, it does not work with upper version -->
<script src="../js/jquery-1.8.3.min.js"></script>
<script src="../js/jquery.mobile-1.2.1.min.js"></script>
</head>
<body>
<u:constantsMap className="com.openkm.dao.bean.Translation" var="Translation"/>
@@ -9,9 +9,10 @@
<meta name="viewport" content="width=device-width, minimum-scale=1.0, maximum-scale=1.0"/>
<title>OpenKM Mobile</title>
<link rel="apple-touch-icon" href="img/condor.jpg" />
<link rel="stylesheet" href="../css/jquery.mobile-1.2.0.min.css" />
<script src="../js/jquery-1.11.3.min.js"></script>
<script src="../js/jquery.mobile-1.2.0.min.js"></script>
<link rel="stylesheet" href="../css/jquery.mobile-1.2.1.min.css" />
<!-- jQuery mobile requires jquery min 1.8.3 for running, it does not work with upper version -->
<script src="../js/jquery-1.8.3.min.js"></script>
<script src="../js/jquery.mobile-1.2.1.min.js"></script>
</head>
<body>
<u:constantsMap className="com.openkm.dao.bean.Translation" var="Translation"/>
@@ -9,10 +9,12 @@
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
<meta name="viewport" content="width=device-width, minimum-scale=1.0, maximum-scale=1.0"/>
<title>OpenKM Mobile</title>
<link rel="apple-touch-icon" href="img/condor.jpg" />
<link rel="stylesheet" href="../css/jquery.mobile-1.2.0.min.css" />
<script src="../js/jquery-1.11.3.min.js"></script>
<script src="../js/jquery.mobile-1.2.0.min.js"></script>
<link rel="apple-touch-icon" sizes="57x57" href="img/touch-icon-iphone.png" />
<link rel="apple-touch-icon" sizes="114x114" href="img/touch-icon-ipad.png" />
<link rel="stylesheet" href="../css/jquery.mobile-1.2.1.min.css" />
<!-- jQuery mobile requires jquery min 1.8.3 for running, it does not work with upper version -->
<script src="../js/jquery-1.8.3.min.js"></script>
<script src="../js/jquery.mobile-1.2.1.min.js"></script>
</head>
<body>
<u:constantsMap className="com.openkm.dao.bean.Translation" var="Translation"/>
Binary file not shown.
Binary file not shown.
@@ -9,9 +9,10 @@
<meta name="viewport" content="width=device-width, minimum-scale=1.0, maximum-scale=1.0"/>
<title>OpenKM Mobile</title>
<link rel="apple-touch-icon" href="img/condor.jpg" />
<link rel="stylesheet" href="../css/jquery.mobile-1.2.0.min.css" />
<script src="../js/jquery-1.11.3.min.js"></script>
<script src="../js/jquery.mobile-1.2.0.min.js"></script>
<link rel="stylesheet" href="../css/jquery.mobile-1.2.1.min.css" />
<!-- jQuery mobile requires jquery min 1.8.3 for running, it does not work with upper version -->
<script src="../js/jquery-1.8.3.min.js"></script>
<script src="../js/jquery.mobile-1.2.1.min.js"></script>
</head>
<body>
<u:constantsMap className="com.openkm.dao.bean.Translation" var="Translation"/>
@@ -10,9 +10,10 @@
<meta name="viewport" content="width=device-width, minimum-scale=1.0, maximum-scale=1.0"/>
<title>OpenKM Mobile</title>
<link rel="apple-touch-icon" href="img/condor.jpg" />
<link rel="stylesheet" href="../css/jquery.mobile-1.2.0.min.css" />
<script src="../js/jquery-1.11.3.min.js"></script>
<script src="../js/jquery.mobile-1.2.0.min.js"></script>
<link rel="stylesheet" href="../css/jquery.mobile-1.2.1.min.css" />
<!-- jQuery mobile requires jquery min 1.8.3 for running, it does not work with upper version -->
<script src="../js/jquery-1.8.3.min.js"></script>
<script src="../js/jquery.mobile-1.2.1.min.js"></script>
</head>
<body>
<u:constantsMap className="com.openkm.dao.bean.Translation" var="Translation"/>
@@ -10,9 +10,10 @@
<meta name="viewport" content="width=device-width, minimum-scale=1.0, maximum-scale=1.0"/>
<title>OpenKM Mobile</title>
<link rel="apple-touch-icon" href="img/condor.jpg" />
<link rel="stylesheet" href="../css/jquery.mobile-1.2.0.min.css" />
<script src="../js/jquery-1.11.3.min.js"></script>
<script src="../js/jquery.mobile-1.2.0.min.js"></script>
<link rel="stylesheet" href="../css/jquery.mobile-1.2.1.min.css" />
<!-- jQuery mobile requires jquery min 1.8.3 for running, it does not work with upper version -->
<script src="../js/jquery-1.8.3.min.js"></script>
<script src="../js/jquery.mobile-1.2.1.min.js"></script>
<script type="text/javascript">
$(function() {
$('li').bind('taphold', function(e) {
@@ -58,20 +59,13 @@
<ul data-role="listview" data-theme="c">
<c:forEach var="result" items="${resultSet.results}">
<c:choose>
<c:when test="${result.document != null || result.attachment != null}">
<c:when test="${result.node != null}">
<!-- document -->
<c:choose>
<c:when test="${result.document != null}">
<c:set var="doc" value="${result.document}"></c:set>
</c:when>
<c:otherwise>
<c:set var="doc" value="${result.attachment}"></c:set>
</c:otherwise>
</c:choose>
<c:set var="doc" value="${result.node}"></c:set>
<li id="${doc.uuid}" data-action="searchMenu">
<c:url value="/frontend/Download" var="urlDownload">
<c:if test="${doc.convertibleToPdf}">
<c:param name="toPdf"/>
<c:param name="toPdf" value="true"/>
</c:if>
<c:param name="uuid" value="${doc.uuid}"/>
</c:url>

0 comments on commit de42025

Please sign in to comment.